List all productgroups with accounting information
List all product groups with account number specified
Required permissions: ACCOUNTING_CONFIG
get/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroups
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+Query parameters
pageSizeintegerOptional
The number of items per page in a result set.
pageNumberintegerOptional
Reference to a specific page in a result set.
Responses
200
Example response
application/json
get/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroups
GET /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroups HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"productGroupUid": "text",
"vatCodeUid": "text",
"account": "text",
"accountingConfigUid": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

